package com.liquidnet.common.third.xuper.dto;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 获取访问BOS临时STS凭证
 * @class: Xuper001GetStokenReqDto
 * @Package com.liquidnet.common.third.xuper.dto
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/18 15:10
 */
public class Xuper000CreateAccountReqDto implements Serializable {
    /**
     * 创建资产账户地址
     */
    private String addr;
    /**
     * 创建资产账户私钥签名
     */
    private String sign;
    /**
     * 创建资产账户公钥
     */
    private String pkey;
    /**
     * 随机数
     */
    private Integer nonce;

    private static final Xuper000CreateAccountReqDto obj = new Xuper000CreateAccountReqDto();
    public static Xuper000CreateAccountReqDto getNew() {
        try {
            return (Xuper000CreateAccountReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Xuper000CreateAccountReqDto();
        }
    }
}
